## zabbix 1.8.2

=== debian/changelog ===
zabbix (1:1.8.2-1squeeze4) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2012-3435: SQL injection in popup_bitem.php (Closes: #683273)

 -- Raphael Geissert <geissert@debian.org>  Thu, 06 Sep 2012 02:18:15 -0500

zabbix (1:1.8.2-1squeeze2) testing-proposed-updates; urgency=high

  * Fixed database schema upgrade from Zabbix 1.4 (Lenny) to 1.8 (Squeeze)
    by adding proper upgrade scripts and SQL statements in
    /usr/share/doc/zabbix-*/examples/
    Closes: #609726
  * Removed recommends for a database server from zabbix-frontend-php
    package to prevent automatic installation since recommenations are
    automatically installed.
  * Included fix for issue https://support.zabbix.com/browse/ZBX-2329
    which would destroy a screen's contents after renaming.
    Closes: #610015

 -- Christoph Haas <haas@debian.org>  Wed, 05 Jan 2011 23:44:17 +0100

zabbix (1:1.8.2-1squeeze1) testing-proposed-updates; urgency=high

  * Security-related bug fixed (closes: #594304)
  * Binary-only clock applet removed (closes: #591967)
  * init.d scripts fixed (closes: #578879)

 -- Christoph Haas <haas@debian.org>  Tue, 26 Oct 2010 22:21:28 +0200

zabbix (1:1.8.2-1) unstable; urgency=low

  * New upstream release
  * Policy version is now 3.8.4 - no changes were needed.
  * SQL injection bug fixed in 1.8.2 (closes: #577058)
  * init.d scripts now depend on "remote_fs" instead of "local_fs"
    as /usr may be a remote file system (fixes lintian warning).

 -- Christoph Haas <haas@debian.org>  Sat, 10 Apr 2010 12:04:06 +0200

zabbix (1:1.8.1-1) unstable; urgency=low

  * New upstream release
  * Javascript library path fixed (Closes: #564029)

 -- Christoph Haas <haas@debian.org>  Thu, 28 Jan 2010 10:42:04 +0100

zabbix (1:1.8-1) unstable; urgency=low

  [ Christoph Haas ]
  * New upstream release; it fixes the following vulnerabilities:
    - https://support.zabbix.com/browse/ZBX-1030
    - https://support.zabbix.com/browse/ZBX-1031
    - https://support.zabbix.com/browse/ZBX-993
    - https://support.zabbix.com/browse/ZBX-1355
    (Closes: #562613)

  [ Fabio Tranchitella ]
  * debian/watch: updated for the 1.8 branch.
  * debian/*.init: rewrote init scripts to use the "--retry N" option from
    start-stop-daemon; this should fix the timing issues.
    (Closes: #557760, #473911)
  * debian/rules:
    - do not ship usr/share/zabbix/fonts/DejaVuSans.ttf, link it from the
      ttf-dejavu-core package instead.
    - do not ship the database upgrade scripts for dbconfig-common, they
      contains errors that dbconfig-common cannot ignore.
  * debian/zabbix-server-{pgsql,mysql}.postinst: if upgrading from a pre-1.8
    version, show a debconf note to inform the user that a manual upgrade is
    needed for the SQL database.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 30 Dec 2009 18:46:34 +0100

zabbix (1:1.6.6-6) unstable; urgency=low

  * debian/po/pt_BR.po updated (Closes: #551944)
  * Maintainer address changed due to amount of spam on the former address.

 -- Christoph Haas <haas@debian.org>  Wed, 11 Nov 2009 16:58:43 +0100

zabbix (1:1.6.6-5) unstable; urgency=low

  * Set Default-Start to "2 3 4 5" and Default-Stop to "0 1 6" for all the init
    scripts.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Nov 2009 14:07:01 +0100

zabbix (1:1.6.6-4) unstable; urgency=low

  * Added README.source describing the patch and used.
  * Removed zabbix_agent. By default the zabbix_agentd is used
    by default anyway.
  * Added manpage for zabbix_sender.
  * Using the prototype.js from the libjs-prototype package.
  * Typo in init.d scripts for zabbix-server-mysql and zabbix-server-pgsql
    fixed to remove"/etc/init.d/zabbix-server: line 112: running_name:
    command not found" warning when restarting the server.

 -- Christoph Haas <haas@debian.org>  Thu, 29 Oct 2009 21:28:03 +0100

zabbix (1:1.6.6-3) unstable; urgency=low

  * debian/po/fi.po updated (Closes: #549855)

 -- Christoph Haas <haas@debian.org>  Sun, 11 Oct 2009 12:51:45 +0200

zabbix (1:1.6.6-2) unstable; urgency=low

  * debian/po/ja.po updated (Closes: #548651)
  * debian/po/cs.po updated (Closes: #548675)
  * debian/po/sv.po updated (Closes: #548796)
  * debian/po/de.po updated (Closes: #549248)
  * debian/po/it.po updated (Closes: #549579)
  * debian/po/pt.po updated (Closes: #550087)
  * debian/po/ru.po updated (Closes: #550102)
  * debian/po/es.po updated (Closes: #550173)
  * debian/po/fr.po updated (Closes: #550315)
  * Manpages for zabbix_server and zabbix_agent added (Closes: #496696)
  * Added hint about the difference of the zabbix_agent.conf and
    zabbix_agentd.conf in each config file as a comment. (Closes: #548701)

 -- Christoph Haas <haas@debian.org>  Sat, 10 Oct 2009 12:21:16 +0200

zabbix (1:1.6.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control: fixed typos in the package descriptions. (Closes: #546638)
  * debian/po/ja.po: updated. (Closes: #538223, #545399)
  * debian/zabbix-agent.initd: added the status action. (Closes: #524205)
  * debian/zabbix-server-{pgsql,mysql}.zabbix-server.init: improved the init
    scripts (fail if the daemon is not executable, do not remove the pid file
    while starting up the server). (Closes: #450528, 530577)
  * debian/zabbix-frontend-php.templates: updated, thanks Christian.
    (Closes: #522880)
  * debian/control: bumped Standards-Version to 3.8.3, no changed needed.

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 27 Sep 2009 23:05:09 +0200
