=== debian/watch ===
version=3
http://sf.net/zabbix/zabbix-(1\.8.*)\.tar\.gz
