## zabbix 1.8.3

=== debian/changelog ===
zabbix (1:1.8.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - update build depend for mysql-transition

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 17 Oct 2010 11:52:27 +0530

zabbix (1:1.8.3-2) unstable; urgency=low

  * Added versioned build depdency on autotools-dev (closes: #598578)

 -- Christoph Haas <haas@debian.org>  Thu, 30 Sep 2010 21:59:34 +0200

zabbix (1:1.8.3-1) unstable; urgency=low

  * New upstream release fixes security issue CVE-2010-2790 (closes: #594304)
  * Removed flash clock applet that upstream ships without source
    (closes: #591967)
  * Removed bashism from zabbix agent init.d file (closes: #581148)
  * Removed bashism from zabbix proxy mysql init.d file (closes: #581149)
  * Removed bashism from zabbix proxy pgsql init.d file (closes: #581150)
  * Removed bashism from zabbix server mysql init.d file (closes: #581151)
  * Removed bashism from zabbix server pgsql init.d file (closes: #581152)
  * Added weak dependency on mysql/postgresql in the LSB section of the
    init.d scripts for zabbix-server-mysql and zabbix-server-pgsql
    (closes: #578879)

 -- Christoph Haas <haas@debian.org>  Sat, 21 Aug 2010 15:41:19 +0200

zabbix (1:1.8.2-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable. (LP: #593104)  Remaining changes:
    - Mysql translation.

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Wed, 05 May 2010 05:49:04 +0100

zabbix (1:1.8.1-1ubuntu1) lucid; urgency=low

  * Mysql translation. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Apr 2010 20:34:10 -0400
