=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: zabbix
 Section: net
 Priority: optional
-Maintainer: Christoph Haas <haas@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libsnmp9-dev | libsnmp-dev, libmysqlclient15-dev, automake1.9, po-debconf, libpq-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libldap2-dev,libiksemel-dev, libopenipmi-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), libsnmp9-dev | libsnmp-dev, libmysqlclient-dev, automake1.9, po-debconf, libpq-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libldap2-dev,libiksemel-dev, libopenipmi-dev, quilt (>=0.40), autotools-dev (>= 20100122.1)
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/zabbix/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zabbix/trunk/?op=log
  
@@ -46,7 +47,7 @@
  .
  This package provides the software needed to integrate a host as a Zabbix
  client. It collects information from Zabbix clients and stores it in a
- MySQL database back-end.
+ MySQL database.
 
 Package: zabbix-server-pgsql
 Architecture: any
@@ -68,11 +69,12 @@
  .
  This package provides the software needed to integrate a host as a Zabbix
  client. It collects information from Zabbix clients and stores it in a
- PostgreSQL database back-end.
+ PostgreSQL database.
 
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, apache2 | httpd, php5, php5-mysql | php5-pgsql, php5-gd, ucf, dbconfig-common (>= 1.8.19), libjs-prototype (>= 1.6.0.3), libjs-scriptaculous (>= 1.8.2), ttf-dejavu-core
+Recommends: zabbix-server-mysql | zabbix-server-pgsql, mysql-server (>= 4.0.16-2) | postgresql
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -128,3 +130,4 @@
  This package provides the software needed to integrate a host as a Zabbix
  proxy. It collects information from Zabbix clients and passes it to a
  server running a PostgreSQL database back-end.
+
