=== debian/watch ===
version=3
http://sf.net/zabbix/zabbix-([0-9.]*)\.tar\.gz
