## zabbix 1.8.5

=== debian/changelog ===
zabbix (1:1.8.5-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #721707). Remaining changes:
    - update build depend for mysql-transition
  * ldap-linker-lp722300.patch: Fix FTBFS issues due to incorrect placement of
    linker arguments. (LP: #722300) (Debian bug 556770)

 -- Nigel Jones <dev@nigelj.com>  Sat, 21 May 2011 21:37:06 +1200

zabbix (1:1.8.5-1) unstable; urgency=low

  * New upstream release

 -- Christoph Haas <haas@debian.org>  Tue, 03 May 2011 23:00:18 +0200

zabbix (1:1.8.4-3) unstable; urgency=low

  * Ignore release candidates via 'uscan' in debian/watch
    (closes: #599921)
  * Added --with-ssh2 for SSH2 support during ./configure
    (closes: #609744)

 -- Christoph Haas <haas@debian.org>  Mon, 21 Feb 2011 22:59:41 +0100

zabbix (1:1.8.4-2) unstable; urgency=low

  * Fixed typo in debian/rules to properly build with libcurl support
    (closes: #613322)

 -- Christoph Haas <haas@debian.org>  Tue, 15 Feb 2011 00:30:55 +0100

zabbix (1:1.8.4-1) unstable; urgency=low

  * New upstream release
  * Packaging repository moved to git.debian.org

 -- Christoph Haas <haas@debian.org>  Wed, 26 Jan 2011 22:01:48 +0100

zabbix (1:1.8.3-3) unstable; urgency=low

  [ Michael Ablassmeier ]
  * zabbix-proxy-pgsql and -mysql: Fix package description (Closes: #586961) 
  * debian/po/da.po: added (Closes: #585485)

 -- Michael Ablassmeier <abi@debian.org>  Tue, 08 Feb 2011 21:27:46 +0100
