=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>
-Build-Depends: debhelper (>= 7), libsnmp9-dev | libsnmp-dev, libmysqlclient-dev, automake1.9, po-debconf, libpq-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libldap2-dev,libiksemel-dev, libopenipmi-dev, quilt (>=0.40), autotools-dev (>= 20100122.1)
+Build-Depends: debhelper (>= 7), libsnmp9-dev | libsnmp-dev, libmysqlclient-dev, automake1.9, po-debconf, libpq-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libldap2-dev,libiksemel-dev, libopenipmi-dev, quilt (>=0.40), autotools-dev (>= 20100122.1), libssh2-1-dev (>= 1.0.0)
 Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/zabbix/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/zabbix/trunk/?op=log
+Vcs-Git: git://git.debian.org/git/collab-maint/zabbix.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/zabbix.git
  
 Package: zabbix-agent
 Architecture: any
@@ -108,7 +108,7 @@
  .
  This package provides the software needed to integrate a host as a Zabbix
  proxy. It collects information from Zabbix clients and passes it to a
- server running a MySQL database back-end.
+ server running a PostgreSQL database back-end.
 
 Package: zabbix-proxy-mysql
 Architecture: any
@@ -129,5 +129,5 @@
  .
  This package provides the software needed to integrate a host as a Zabbix
  proxy. It collects information from Zabbix clients and passes it to a
- server running a PostgreSQL database back-end.
+ server running a MySQL database back-end.
