=== debian/rules ===
--- 
+++ 
@@ -54,9 +54,6 @@
 INSTALL_PROGRAM = $(INSTALL) -p    -oroot -groot -m755
 INSTALL_SCRIPT  = $(INSTALL) -p    -oroot -groot -m755
 INSTALL_DIR     = $(INSTALL) -p -d -oroot -groot -m755
-
-# Deprecated: use unknown
-#export LIBCURL_LDFLAGS="-lcurl" 
 
 CFLAGS = -Wall -g
 
@@ -84,7 +81,9 @@
                     --with-ldap \
                     --enable-ipv6 \
                     --with-net-snmp \
-                    --with-openipmi
+                    --with-openipmi \
+                    --with-ssh2 \
+                    --with-libcurl
 
 CONFFLAGS_SERVER_MYSQL = $(CONFFLAGS_COMMON) --with-mysql
 CONFFLAGS_SERVER_PGSQL = $(CONFFLAGS_COMMON) --with-pgsql
