## zabbix 1.8.6

=== debian/changelog ===
zabbix (1:1.8.6-1) unstable; urgency=low

  * New upstream release.
  * Updated configuration file templates (closes: #636803)
    (closes: #632026) (closes: #613636)
  * Added SQLite3 support for server and proxy packages (closes: #468395)
  * Server and proxy packages now conflict. zabbix_get included
    in zabbix-proxy-* packages (formerly only shipping with zabbix-server-*
    packages) to allow the Zabbix administrator debugging of item retrievel
    from a Zabbix proxy.
  * Patch added: wrap the SQL setup statements in BEGIN/COMMIT to avoid
    heavy fsync calls that can make otherwise cause the database to take
    about one hour instead of just seconds. (debian/patches/sql-transaction)

 -- Christoph Haas <haas@debian.org>  Sun, 07 Aug 2011 17:45:48 +0200

zabbix (1:1.8.5-2) unstable; urgency=low

  * Updated nb.po (closes: #619730)
  * Updated nl.po (closes: #623573)
  * init.d script for zabbix-agent now obeys pidfile (closes: #623691)
  * FTBFS fixed for binutils-gold (closes: #556770)
    (also reported upstream as https://support.zabbix.com/browse/ZBX-3898)
  * Moved "prepare" target in debian/rules to proper place to remedy FTBFS
    (closes: #630016)
  * Fixed path to fping binary
  * Removed barely used zabbix_agent.conf (closes: #571419)
  * Postinst scripts move 'zabbix' user's home directory to /var/run/zabbix
    (closes: #593458)
  * Hostname= is not set any more in the zabbix_agentd.conf file 
    (closes: #606160)
  * zabbix-frontend-php package no longer installs database server 
    (closes: #607810)

 -- Christoph Haas <haas@debian.org>  Sat, 18 Jun 2011 23:01:09 +0200
