=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: zabbix
 Section: net
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
+Maintainer: Christoph Haas <haas@debian.org>
 Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>
-Build-Depends: debhelper (>= 7), libsnmp9-dev | libsnmp-dev, libmysqlclient-dev, automake1.9, po-debconf, libpq-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libldap2-dev,libiksemel-dev, libopenipmi-dev, quilt (>=0.40), autotools-dev (>= 20100122.1), libssh2-1-dev (>= 1.0.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), libsnmp9-dev | libsnmp-dev, libmysqlclient15-dev, automake1.9, po-debconf, libpq-dev, libsqlite3-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libldap2-dev,libiksemel-dev, libopenipmi-dev, quilt (>=0.40), autotools-dev (>= 20100122.1), libssh2-1-dev (>= 1.0.0)
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/zabbix.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/zabbix.git
  
@@ -24,16 +23,16 @@
     activity, memory usage, OS parameters etc.);
   - data visualization.
  .
- This package provides the software needed to integrate a host as a Zabbix
- client.
+ This package provides the software needed to monitor a host using a
+ Zabbix agent.
 
 Package: zabbix-server-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, dbconfig-common (>= 1.8.19), lsb-base
 Pre-Depends: debconf
-Recommends: mysql-server (>= 4.0.16-2), snmpd
+Recommends: mysql-server (>= 5.0), snmpd
 Suggests: zabbix-frontend-php, logrotate
-Conflicts: zabbix-server-pgsql
+Conflicts: zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
 Description: network monitoring solution - server (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -55,7 +54,7 @@
 Pre-Depends: debconf
 Recommends: postgresql, snmpd
 Suggests: zabbix-frontend-php, logrotate
-Conflicts: zabbix-server-mysql
+Conflicts: zabbix-server-mysql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
 Description: network monitoring solution - server (using PostgreSQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -74,7 +73,6 @@
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, apache2 | httpd, php5, php5-mysql | php5-pgsql, php5-gd, ucf, dbconfig-common (>= 1.8.19), libjs-prototype (>= 1.6.0.3), libjs-scriptaculous (>= 1.8.2), ttf-dejavu-core
-Recommends: zabbix-server-mysql | zabbix-server-pgsql, mysql-server (>= 4.0.16-2) | postgresql
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -93,7 +91,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, dbconfig-common (>= 1.8.19), lsb-base
 Recommends: postgresql
-Conflicts: zabbix-proxy-mysql
+Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
 Suggests: logrotate
 Description: network monitoring solution - proxy (using PostgreSQL)
  Zabbix is a server/client network monitoring system with many features.
@@ -107,15 +105,15 @@
   - data visualization.
  .
  This package provides the software needed to integrate a host as a Zabbix
- proxy. It collects information from Zabbix clients and passes it to a
- server running a PostgreSQL database back-end.
+ proxy. It collects information from Zabbix agents, temporarily stores it
+ in a PostgreSQL database and then passes it to a Zabbix server.
 
 Package: zabbix-proxy-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, dbconfig-common (>= 1.8.19), lsb-base
-Recommends: mysql-server (>= 4.0.16-2)
+Recommends: mysql-server (>= 5.0)
 Suggests: logrotate
-Conflicts: zabbix-proxy-pgsql
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqite3, zabbix-server-mysql, zabbix-server-pgsql
 Description: network monitoring solution - proxy (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -128,6 +126,26 @@
   - data visualization.
  .
  This package provides the software needed to integrate a host as a Zabbix
- proxy. It collects information from Zabbix clients and passes it to a
- server running a MySQL database back-end.
+ proxy. It collects information from Zabbix agents, temporarily stores it
+ in a MySQL database and then passes it to a Zabbix server.
 
+Package: zabbix-proxy-sqlite3
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, dbconfig-common (>= 1.8.19), lsb-base
+Suggests: logrotate
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql
+Description: network monitoring solution - proxy (using MySQL)
+ Zabbix is a server/client network monitoring system with many features.
+ It can be used for:
+ .
+  - high level monitoring of IT services;
+  - centralized monitoring of your servers and applications;
+  - monitoring of SNMP-enabled devices;
+  - performance monitoring (process load, network activity, disk
+    activity, memory usage, OS parameters etc.);
+  - data visualization.
+ .
+ This package provides the software needed to integrate a host as a Zabbix
+ proxy. It collects information from Zabbix agents, temporarily stores it
+ in an SQLite3 database and then passes it to a Zabbix server.
+
