=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,30 @@
 #!/usr/bin/make -f
 
-# (1) prepare
+# The Zabbix sources are compiled once for each VARIANT. The proxy and server
+# packages always contain one kind of database support. The zabbix-agent and
+# zabbix-frontend-php package do not have any kind of database support and
+# are created from one of the above mentioned builds.
+
+# extract
+#
+#     Copies the source directory into debian/tmp... to compile the
+#     files there.
+#
+# patch
 #
 #     Apply Quilt patches.
+#
+# prepare
 #
 #     Magic autotools stuff (replacing config.auto and config.guess with
 #     up-to-date versions from the autotools-dev package. And some black
 #     magic so that our patch to remove -lcrypto is actually doing something.
 #     
-# (2) extract
-#
-#     Copies the source directory into debian/tmp... to compile the
-#     files there.
-#
-# (3) configure
+# configure
 #
 #     Configure the copied source tree for each database backend flavor.
 #
-# (4) build
+# build
 #
 #     Compile the actual sources for each database backend flavor.
 #
@@ -39,6 +46,7 @@
 PKG_FRONTEND = zabbix-frontend-php
 PKG_PROXY_MYSQL = zabbix-proxy-mysql
 PKG_PROXY_PGSQL = zabbix-proxy-pgsql
+PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
 
 # Define the directories where the binary packages' files are assembled
 TMP_AGENT = $(CURDIR)/debian/$(PKG_AGENT)
@@ -47,6 +55,7 @@
 TMP_FRONTEND = $(CURDIR)/debian/$(PKG_FRONTEND)
 TMP_PROXY_MYSQL = $(CURDIR)/debian/$(PKG_PROXY_MYSQL)
 TMP_PROXY_PGSQL = $(CURDIR)/debian/$(PKG_PROXY_PGSQL)
+TMP_PROXY_SQLITE3 = $(CURDIR)/debian/$(PKG_PROXY_SQLITE3)
 
 # Deprecated: formerly this script didn't use dh_install
 INSTALL = install
@@ -67,7 +76,7 @@
 endif
 
 # Zabbix server and proxy packages will be built for these database backends
-VARIANTS := PGSQL MYSQL
+VARIANTS := PGSQL MYSQL SQLITE3
 
 CONFFLAGS_COMMON  = --host=$(DEB_HOST_GNU_TYPE) \
                     --build=$(DEB_BUILD_GNU_TYPE) \
@@ -87,6 +96,7 @@
 
 CONFFLAGS_SERVER_MYSQL = $(CONFFLAGS_COMMON) --with-mysql
 CONFFLAGS_SERVER_PGSQL = $(CONFFLAGS_COMMON) --with-pgsql
+CONFFLAGS_SERVER_SQLITE3 = $(CONFFLAGS_COMMON) --with-sqlite3
 
 # The source package will be compiled for each database flavor in
 # subdirectories of this directory:
@@ -98,16 +108,12 @@
 prepare-stamp:
 	dh_autotools-dev_updateconfig
 	# we removed -lcrypto stuff so lets re-run autotools:
-	aclocal -I m4
-	autoconf
-	autoheader
-	automake -a
-	automake
+	autoreconf
 	touch prepare-stamp
 
 # Copy the source directory (without the 'debian' directory) to other locations
 # to configure and compile the sources there for each database flavor.
-extract: prepare $(foreach s,$(VARIANTS),extract-$(s)-stamp)
+extract: $(foreach s,$(VARIANTS),extract-$(s)-stamp)
 extract-%-stamp:
 	@echo "--------------------------"
 	@echo "Copying source directory to $(BUILDDIR)-$(*) for building the $(*) variant there"
@@ -127,7 +133,7 @@
 	touch $@
 
 # Compile the flavors
-build: $(foreach s,$(VARIANTS),build-$(s)-stamp)
+build: prepare $(foreach s,$(VARIANTS),build-$(s)-stamp)
 build-%-stamp: configure-%-stamp
 	@echo "--------------------------"
 	@echo "Compiling the $(*) flavor in $(BUILDDIR)-$(*)"
@@ -204,15 +210,12 @@
 	dh_install -a
 	# Rename during install
 	# zabbix-agent
-	cp debian/templates/zabbix_agent.conf.in $(TMP_AGENT)/usr/share/$(PKG_AGENT)/zabbix_agent.conf
 	cp debian/templates/zabbix_agentd.conf.in $(TMP_AGENT)/usr/share/$(PKG_AGENT)/zabbix_agentd.conf
 	# zabbix-server-mysql
 	cp debian/templates/zabbix_server.conf.in $(TMP_SERVER_MYSQL)/usr/share/$(PKG_SERVER_MYSQL)/zabbix_server.conf
-	cat create/schema/mysql.sql create/data/data.sql create/data/images_mysql.sql > $(TMP_SERVER_MYSQL)/usr/share/dbconfig-common/data/$(PKG_SERVER_MYSQL)/install/mysql
+	cat create/schema/mysql.sql create/data/data.sql create/data/images_mysql.sql > \
+		$(TMP_SERVER_MYSQL)/usr/share/dbconfig-common/data/$(PKG_SERVER_MYSQL)/install/mysql
 	# zabbix-server-pgsql
 	cp debian/templates/zabbix_server.conf.in $(TMP_SERVER_PGSQL)/usr/share/$(PKG_SERVER_PGSQL)/zabbix_server.conf
-	cat create/schema/postgresql.sql create/data/data.sql create/data/images_pgsql.sql > $(TMP_SERVER_PGSQL)/usr/share/dbconfig-common/data/$(PKG_SERVER_PGSQL)/install/pgsql
-	# zabbix-proxy-mysql
-	cp debian/templates/zabbix_proxy.conf.in $(TMP_PROXY_MYSQL)/usr/share/zabbix-proxy/zabbix_proxy.conf
-	cp create/schema/mysql.sql $(TMP_PROXY_MYSQL)/usr/share/dbconfig-common/data/$(PKG_PROXY_MYSQL)/install/mysql
-	# zabbix-proxy-pgsql
+	cat create/schema/postgresql.sql create/data/data.sql create/data/images_pgsql.sql > \
+		$(TMP_SERVER_PGSQL)/usr/share/dbconfig-common/data/$(PKG_SERVER_PGSQL)/install/pgsql
